io.vertx.mqtt.messages.codes

## Enum MqttPubRelReasonCode

- java.lang.Object
- - java.lang.Enum<MqttPubRelReasonCode>
  - - io.vertx.mqtt.messages.codes.MqttPubRelReasonCode

- All Implemented Interfaces:
    MqttReasonCode, Serializable, Comparable<MqttPubRelReasonCode>

      public enum MqttPubRelReasonCode
      extends Enum<MqttPubRelReasonCode>
      implements MqttReasonCode

  Reason codes for PUBREL MQTT message

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PACKET_IDENTIFIER_NOT_FOUND`
    `SUCCESS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `value()`
    `static MqttPubRelReasonCode` | `valueOf(byte b)`
    `static MqttPubRelReasonCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MqttPubRelReasonCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.mqtt.messages.codes.MqttReasonCode

      `isError`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final MqttPubRelReasonCode SUCCESS

    - #### PACKET_IDENTIFIER_NOT_FOUND

          public static final MqttPubRelReasonCode PACKET_IDENTIFIER_NOT_FOUND

  - ### Method Detail

    - #### values

          public static MqttPubRelReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MqttPubRelReasonCode c : MqttPubRelReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MqttPubRelReasonCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Specified by:
        `value` in interface `MqttReasonCode`

    - #### valueOf

          public static MqttPubRelReasonCode valueOf(byte b)

Copyright © 2021 Eclipse. All rights reserved.